using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_YongHu_ShangChuanTouXiang_QingKong : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("清空用户上传头像", "网站后台", "清空用户上传头像", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("48");

        DataSet 数据 = new DataSet();
        SqlCommand 语句 = new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "社区_用户_头像] ORDER BY [ID]", 访问.连接);
        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, "用户头像");

        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            删除用户头像(Convert.ToInt32(行["ID"]),
                行["图片位置"].ToString());
        }

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("清空用户头像", 访问.用户["昵称"].ToString());

        Response.Redirect("ShangChuanTouXiang.aspx");
    }

    private void 删除用户头像(int ID,String 图片位置)
    {
        if (File.Exists(Server.MapPath(图片位置)))
            File.Delete(Server.MapPath(图片位置));

        SqlCommand 语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_用户_头像] WHERE [ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();
    }
}
